/* You can add global styles to this file, and also import other style files */
@import "../node_modules/bootstrap/dist/css/bootstrap.min.css";
@import "./assets/mixins/variables.less";


html, body {
  width: 100%;
  height: 100%;
}
body { margin: 0; }

body {
  display: block;
  font-family: "Futura-Light";
  background: @bg-color;
  background-attachment: fixed;
  height: 100%;
  width: 100%;
  animation: gradient 16s linear infinite;
  animation-direction: alternate;
  overflow-x: hidden;
  padding: 0 !important;
}

@keyframes gradient {
  0% {
    background-position: 0%;
  }
  100% {
    background-position: 100%;
  }
}
.bold-text {
  font-family: "LeagueSpartan-Bold";
  font-size: 32px;
  padding-bottom: 20px;
  animation: right-to-left 1s ease 1 1s both;
  opacity: 0;
  color: @text-primary-color;
}
.regular-text {
  font-family: "Futura-Regular";
}
.hightlight-text {
  color: @highlight-text-color;
  font-family: "LeagueSpartan-Bold";
  font-weight: bold;
  font-size: 24px;
}
.vertical-center {
  display: flex;
  height: 100vh;
  align-items: center;
}
ul {
  list-style-type: none;
}
.filter-dropdown.mat-select-panel {
  background: @white;
  .mat-option {
    color: @btn-text-color;
  }
}
.mat-form-field-label,
.mat-select-value-text {
  color: @white !important;
  font-family: "Futura-Light" !important;
}
.back-icon {
  vertical-align: text-top;
  margin-right: 10px;
  margin-right: 25px;
  margin-top: 7px;
  cursor: pointer;
}
p {
  margin-bottom: 2rem;
}

a.bold-text {
  color: @text-primary-color;
  text-decoration: none;
 // margin-left: -22px;
  margin-left: 0;
}
.mat-tab-body {
  min-width: 1200px;
}
.mat-tab-label {
  opacity: 1 !important;
  .mat-tab-label-content {
    font-family: "Futura-Light" !important;
    font-size: 16px;
  }
}

// CSS animation
/* Icon Wobble Horizontal */
@-webkit-keyframes hvr-icon-wobble-horizontal {
  16.65% {
    -webkit-transform: translateX(6px);
    transform: translateX(6px);
  }
  33.3% {
    -webkit-transform: translateX(-5px);
    transform: translateX(-5px);
  }
  49.95% {
    -webkit-transform: translateX(4px);
    transform: translateX(4px);
  }
  66.6% {
    -webkit-transform: translateX(-2px);
    transform: translateX(-2px);
  }
  83.25% {
    -webkit-transform: translateX(1px);
    transform: translateX(1px);
  }
  100% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
}
@keyframes hvr-icon-wobble-horizontal {
  16.65% {
    -webkit-transform: translateX(6px);
    transform: translateX(6px);
  }
  33.3% {
    -webkit-transform: translateX(-5px);
    transform: translateX(-5px);
  }
  49.95% {
    -webkit-transform: translateX(4px);
    transform: translateX(4px);
  }
  66.6% {
    -webkit-transform: translateX(-2px);
    transform: translateX(-2px);
  }
  83.25% {
    -webkit-transform: translateX(1px);
    transform: translateX(1px);
  }
  100% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
}
.hvr-icon-wobble-horizontal {
  display: inline-block;
  vertical-align: middle;
  -webkit-transform: perspective(1px) translateZ(0);
  transform: perspective(1px) translateZ(0);
  box-shadow: 0 0 1px rgba(0, 0, 0, 0);
  -webkit-transition-duration: 0.3s;
  transition-duration: 0.3s;
}
.hvr-icon-wobble-horizontal .hvr-icon {
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
}
.hvr-icon-wobble-horizontal:hover .hvr-icon,
.hvr-icon-wobble-horizontal:focus .hvr-icon,
.hvr-icon-wobble-horizontal:active .hvr-icon {
  -webkit-animation-name: hvr-icon-wobble-horizontal;
  animation-name: hvr-icon-wobble-horizontal;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-timing-function: ease-in-out;
  animation-timing-function: ease-in-out;
  -webkit-animation-iteration-count: 1;
  animation-iteration-count: 1;
}

/***************Scroll Bar***************/
::-webkit-scrollbar {
  width: 12px !important;
}

::-webkit-scrollbar-track {
  box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.75);
  -webkit-box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.75);
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
}

::-webkit-scrollbar-thumb {
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
  //background: #12022E !important;
  background: #2a2a67 !important;
  -webkit-box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.75);
  box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.75);
  height: 100px;
}

::-webkit-scrollbar-thumb:window-inactive {
  background: #12022e !important;
}

@keyframes right-to-left {
  0% {
    transform: translateX(30px);
    opacity: 0;
  }

  100% {
    transform: translateX(0);
    opacity: 1;
  }
}

@keyframes left-to-right {
  0% {
    transform: translateX(-30px);
    opacity: 0;
  }

  100% {
    transform: translateX(0);
    opacity: 1;
  }
}

/** Filter Styles **/
.option-item {
  max-width: 315px;
  margin: 5px;
  display: inline-block;
  &.custom {
    label {
      border: 0;
      &:hover {
        background: transparent;
        color: @white;
        border: 0;
      }
    }
  }
  label {
    font-family: "Futura-Light";
    color: @white;
    background: transparent;
    border-radius: 25px;
    padding: 10px 20px;
    border: 1px solid @white;
    border-radius: 25px;
    min-width: 120px;
    text-align: center;
    cursor: pointer;
    margin-bottom: 0;
    &:hover,
    &.active {
      background-color: @white;
      color: @card-text-color;
      border: 1px solid @white;
    }
  }
  input[type="checkbox"] {
    display: none;
  }
  input[type="checkbox"]:checked {
    + label {
      background: @white;
      color: @card-text-color;
      border: 1px solid #fff;
    }
  }
}

@keyframes scaleUp {
  from {
    transform: scale(0);
    width: 0;
  }
  to {
    transform: scale(1);
    width: 320px;
  }
}

@keyframes bouncein {
  0% {
    display: none;
    bottom: -3.5%;
  }
  100% {
    display: block;
    bottom: 10%;
  }
}

@keyframes rotation {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(359deg);
  }
}

.current {
  background-color: #2a2a67;
  // background-color: #6C1A78;
  z-index: 9999;
  padding: 10px 20px;
}

.modal-backdrop.show {
  opacity: 0 !important;
}

.modal-dialog {
  max-width: 1622px;
  text-align: left;
  margin-top: 0;

  .modal-content {
    background-color: #2a2a67;
  }

  .modal-header {
    padding-bottom: 0;
    border: 0;
    color: #fff;
    position: absolute;
    right: 0;
    z-index: 99;
    button {
      span {
        color: #fff;
      }
    }
  }
}

.primary-clr {
  color: @text-primary-color;
}
.carousel {
  &.custom-carousel {
    width: 75%;
    max-width: 75%;
    margin: 0 auto;
    .slick-prev:before,
    .slick-next:before {
      font-size: 36px;
      color: gray;
    }
    .slick-list {
      .slick-track {
        .slick-slide {
          img {
            width: 100%;
            max-height: 750px;
            max-width: 930px;
            margin: 10% auto;
            &:focus {
              outline: 0 !important;
            }
          }
        }
      }
    }
  }
}

@keyframes slideOut {
  from {
    left: 100%;
  }
  to {
    left: 0;
  }
}

@keyframes slideIn {
  from {
    right: 100%;
  }
  to {
    right: 0;
  }
}

@keyframes anim {
  0% {
    display: none;
    opacity: 0;
  }
  1% {
    display: block;
    opacity: 0;
    -webkit-transform: scale(0);
    transform: scale(0);
  }
  100% {
    opacity: 1;
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}
.tech-spec {
  color: @highlight-text-color;
}

/***********Responsive for 125% zoom*************/
@media screen and (min-width: 864px) and (max-width: 1536px) {
  .login-main--wrapper .login-wrapper {
    left: 41% !important;
    top: 27%;
  }

  .landing-page .swiper-pagination {
    right: -12px !important;
  }
}

.work-detail-container {
  .slick-prev,
  .slick-next {
    content: none !important;
    position: absolute;
    display: block;
    height: 20px;
    width: 20px;
    line-height: 0px;
    font-size: 0px;
    cursor: pointer;
    background: white;
    border-radius: 50%;
    height: 50px;
    width: 50px;
    color: transparent;
    top: 50%;
    -webkit-transform: translate(0, -50%);
    -ms-transform: translate(0, -50%);
    transform: translate(0, -50%);
    padding: 0;
    border: none;
    outline: none;
    z-index: 1;
    &:hover,
    &:focus {
      outline: none;
      background: white;
      color: transparent;
      opacity: 1;
      &:before {
        opacity: 1 !important;
      }
    }
    &.slick-disabled:before {
      opacity: 0.25;
    }
    &:before {
      font-family: unset;
      content: "";
      display: inline-block;
      position: absolute;
      width: 15px;
      height: 2px;
      background-color: #000092;
      // font-size: 20px;
      // line-height: 1;
      // color: white;
      // opacity: 0.75;
      // -webkit-font-smoothing: antialiased;
      // -moz-osx-font-smoothing: grayscale;
    }
    &:after {
      content: "";
      display: inline-block;
      position: absolute;
      width: 15px;
      height: 2px;
      background-color: #000092;
    }
  }

  .slick-prev {
    left: -25px;
    [dir="rtl"] & {
      left: auto;
      right: -25px;
    }
    &:before {
      transform: rotate(-45deg);
      top: 20px;
      left: 15px;
      // transition: transform 0.5s ease;
    }
    &.active {
      &:before {
        transform: rotate(-225deg);
        transition: transform 0.5s ease;
      } 
    }
    &:after {
      transform: rotate(45deg);
      top: 30px;
      left: 15px;
      // transition: transform 0.5s ease;
    }
    &.active {
      &:after {
        transform: rotate(225deg);
        transition: transform 0.5s ease;
      } 
    }
  }

  .slick-next {
    right: -25px;
    [dir="rtl"] & {
      left: -25px;
      right: auto;
    }
    &:before {
      transform: rotate(45deg);
      top: 20px;
      left: 20px;
      // transition: transform 0.5s ease;
    }
    &.active {
      &:before {
        transform: rotate(225deg);
        transition: transform 0.5s ease;
      } 
    }
    &:after {
      transform: rotate(-45deg);
      top: 30px;
      left: 20px;
      // transition: transform 0.5s ease;
    }
    &.active {
      &:after {
        transform: rotate(-225deg);
        transition: transform 0.5s ease;
      } 
    }
  }
}
body.modal-open {
  overflow-y: visible;
  padding: 0 !important;
}
.modal-backdrop {
  display: none !important;
}